import React, { FC } from 'react';
import { PageProps } from './Page';
import { PrimaryButtonProps } from './components/PrimaryButton';
import { SecondaryButtonProps } from './components/SecondaryButton';
import { OnboardFlowProps, PaginationProps, TextStyles } from './types';
export type PageType = string;
export type OnboardPageConfigParams<Props> = {
    props: Props;
} & PageProps & TextStyles;
export type OnboardPageTypesConfig = {
    [key: string]: (params: OnboardPageConfigParams<any>) => React.ReactNode;
};
export interface OnboardComponents {
    PrimaryButtonComponent: FC<PrimaryButtonProps>;
    SecondaryButtonComponent: FC<SecondaryButtonProps>;
    PaginationComponent: FC<PaginationProps>;
}
export declare const OnboardFlow: FC<OnboardFlowProps & TextStyles>;
